Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.errors
Class HumanErrorFormatter

    java.lang.Object
      com.sun.tdk.signaturetest.errors.ErrorFormatter
          com.sun.tdk.signaturetest.errors.SortedErrorFormatter
              com.sun.tdk.signaturetest.errors.HumanErrorFormatter

Direct Known Subclasses:
  BCProcessor

    public class HumanErrorFormatter

extends SortedErrorFormatter

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.tdk.signaturetest.errors.ErrorFormatter
`ErrorFormatter.Message`

Field Summary

Fields inherited from class com.sun.tdk.signaturetest.errors.SortedErrorFormatter
`failedMessages, tabSize`

Fields inherited from class com.sun.tdk.signaturetest.errors.ErrorFormatter
`annoAdded, annoMissed, numErrors, numWarnings`

Constructor Summary
`HumanErrorFormatter(java.io.PrintWriter out, boolean isv, java.util.logging.Level l)` Assign the given PrintWriter to print error messages.

Method Summary
`protected Handler` | `constructHandlerChain()`
`protected void` | `outProcessedErrors()`
`void` | `printErrors()` Print all error messages collected by `failedMessages`.
`protected void` | `sortErrors()`

Methods inherited from class com.sun.tdk.signaturetest.errors.SortedErrorFormatter
`addError, getTestedsuper, isVerbose, msgCompare, msgExclude, setTestedsuper, setVerbose, space, tested`

Methods inherited from class com.sun.tdk.signaturetest.errors.ErrorFormatter
`addError, createError, getNumErrors, getNumWarnings`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HumanErrorFormatter

    public HumanErrorFormatter(java.io.PrintWriter out,
                               boolean isv,
                               java.util.logging.Level l)

  Assign the given PrintWriter to print error messages.

Method Detail

### printErrors

    public void printErrors()

  Description copied from class: `SortedErrorFormatter`
  Print all error messages collected by `failedMessages`.

  Overrides:
    `printErrors` in class `SortedErrorFormatter`

### outProcessedErrors

    protected void outProcessedErrors()

### constructHandlerChain

    protected Handler constructHandlerChain()

### sortErrors

    protected void sortErrors()

  Overrides:
    `sortErrors` in class `SortedErrorFormatter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD